package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealPersonalsealimagesRequest struct {
	// <ext>core:true</ext>  【签名状态】签名状态 【作用】 指定要下载什么状态的签名图片 【传参】 取值范围：ALL（全部），NORMAL（启用），PRE_ADD（预制作），REVOKE（注销），FREEZE（停用）；不传值默认为：NORMAL（启用）。
	PersonSealStatus string `json:"personSealStatus,omitempty"`
	// <ext>core:true;format:date</ext> 【签名起始创建时间】签名起始创建时间 【作用】 查询该时间之后创建的签名 【传参】 1、日期格式：yyyy-MM-dd HH:mm:ss。 2、不传则开始时间不限制。
	StartTime string `json:"startTime,omitempty"`
	// <ext>core:true;format:date</ext> 【签名截止创建时间】签名截止创建时间 【作用】 查询该时间之前创建的签名 【传参】 1、日期格式：yyyy-MM-dd HH:mm:ss。 2、不传则结束时间不限制。
	EndTime string `json:"endTime,omitempty"`
}

func (obj SealPersonalsealimagesRequest) GetUrl() string {
	return "/seal/personalsealimages"
}

func (obj SealPersonalsealimagesRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("personSealStatus", obj.PersonSealStatus)
	parameter.AddParam("startTime", obj.StartTime)
	parameter.AddParam("endTime", obj.EndTime)
	return parameter
}
